package cn.yw.operationcount.alarmcount.service;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.yw.operationcount.alarmcount.dao.YwalarmcountDao;

@Service("ywalarmcountService")
public class YwalarmcountService {
	private static Log log = LogFactory.getLog(YwalarmcountService.class);
	
	@Autowired
	private YwalarmcountDao ywalarmcountDao;
	
	
	/**
	 * 区域设备告警统计
	 */	
	public List query_Ywmalarmcount(Map map) throws SQLException{
		return ywalarmcountDao.query_Ywmalarmcount(map);
	}
	public Integer count_Ywmalarmcount(Map map) throws SQLException{
		return ywalarmcountDao.count_Ywmalarmcount(map);
	}
	
	/**
	 * 区域告警设备列表
	 */	
	public List query_alarmbyArea(Map map) throws SQLException{
		return ywalarmcountDao.query_alarmbyArea(map);
	}
	public Integer count_alarmbyArea(Map map) throws SQLException{
		return ywalarmcountDao.count_alarmbyArea(map);
	}
}
